from django.core.mail import send_mail
from django.conf import settings
from django.contrib.auth.models import User

'''
'''
def send_email(message, username):
    if not username:
        return False
    
    if not settings.SEND_EMAIL:
        return False

    users = User.objects.all()
    user = users.get(username=username)

    if not user:
        return False
    
    mails = []
    mails.append(user.email)

    for admin in users.filter(is_superuser=True).exclude(username=username).all():
        mails.append(admin.email)

    send_mail(
        settings.SYSTEM_NAME,
        message,
        settings.EMAIL_FROM,
        mails
    )

    return True
